//
//  SITThemeColors.h
//  SitumSDK
//
//  Created by Situm on 11/12/2020.
//  Copyright © 2020 Situm. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/**
Class the stores color definitions in hexadecimal to adapt the look and feel of your app.
As a developer you can change these colors on the folowing link https://dashboard.situm.es/organization/theme
 */
@interface SITThemeColors : NSObject

/**
 HEX code for danger color
 */
@property (nonatomic, readonly) NSString *danger;

/**
 HEX code for default color
 */
@property (nonatomic, readonly) NSString *default_;

/**
 HEX code for info color
 */
@property (nonatomic, readonly) NSString *info;

/**
 HEX code for primary color
 */
@property (nonatomic, readonly) NSString *primary;

/**
 HEX code for secondary color
 */
@property (nonatomic, readonly) NSString *secondary;

/**
 HEX code for success color
 */
@property (nonatomic, readonly) NSString *success;

/**
 HEX code for warning color
 */
@property (nonatomic, readonly) NSString *warning;

/**
 Default initializer of the class. You should not use this method. Instead use the objects you can get through getOrganizationTheme method of the SITCommunicationManager class.
 */
- (instancetype)initWithPrimary:(NSString *)primary
                      secondary:(NSString *)secondary
                        success:(NSString *)success
                        warning:(NSString *)warning
                        danger:(NSString *)danger
                        info:(NSString *)info
                        default_:(NSString *)default_;
@end

NS_ASSUME_NONNULL_END
